## org.eclipse.emf.compare
Class FactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.compare.FactoryException

All Implemented Interfaces:
  java.io.Serializable

    public class FactoryException

extends java.lang.Exception

Factory Exception, indicates that an error occured during an `EFactory` operation.

See Also:
  Serialized Form

Constructor Summary
`FactoryException(java.lang.String message)` Instantiates a FactoryException given its error message.
`FactoryException(java.lang.Throwable exception)` Instantiates a FactoryException wrapped around another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryException

    public FactoryException(java.lang.String message)

  Instantiates a FactoryException given its error message.

  Parameters:
    `message` - Message associated to the exception.

### FactoryException

    public FactoryException(java.lang.Throwable exception)

  Instantiates a FactoryException wrapped around another exception.

  Parameters:
    `exception` - Exception to wrap within this new one.

Copyright 2006 IBM Corporation and others. All Rights Reserved.